# Copyright © 2021 Arrikto Inc.  All Rights Reserved.

"""Kale SDK.

This script defines a pipeline with a conditional statement.
"""

import random

from kale.sdk import step, pipeline


@step(name="generate")
def generate():
    gen = random.sample(range(0, 20), 2)
    return sum(gen)


@step(name="printer")
def printer(value):
    print(value)


@pipeline(name="conditional", experiment="kale-tutorial")
def conditional_pipeline():
    res = generate()
    if res > 12:
        printer(res)


if __name__ == "__main__":
    conditional_pipeline()
